> For the complete documentation index, see [llms.txt](https://docs.videograph.ai/llms.txt).
> Use it to discover all available pages before exploring further.

# List Paginated Contents

Lists all contents in the api token's organization environment in the order of latest created with results paginated


<PlaygroundComponent />

<AuthParams schemes={["basicAuth"]}>
<AuthType scheme="basicAuth">
<ParamField header="Authorization" param-type="string" required="true">
Basic authentication credentials. Provide username and password encoded in Base64 format: Basic base64(username:password)
</ParamField>
</AuthType>
</AuthParams>

### Query Parameters

<ParamField showLocation="false" query="includeAdditional" param-type="boolean" required="false">
Use this to get metadata information also along with basic information
</ParamField>

<ParamField showLocation="false" query="assetCollectionUUID" param-type="string" required="false">
To fetch contents under specified asset collection
</ParamField>

<ParamField showLocation="false" query="phrase" param-type="string" required="false">
Search phrase
</ParamField>

<ParamField showLocation="false" query="tag" param-type="string" required="false">
Search only in tags
</ParamField>

<ParamField showLocation="false" query="pageSize" param-type="number" required="true">
Number of items to fetch
</ParamField>

<ParamField showLocation="false" query="pageNum" param-type="number" required="true">
Results from which page should be fetched.
</ParamField>

### Headers

<ParamField showLocation="false" header="Accept" param-type="string" required="false">

</ParamField>

<Request tabs="curl,python,javascript,go,ruby">

```bash
curl -X GET "https://api.videograph.ai/video/services/api/v1/contents/paginated?includeAdditional=true&assetCollectionUUID=example_string&phrase=example_string&tag=example_string&pageSize=3.14&pageNum=3.14" \
  -H "Content-Type: application/json" \
  -H "Accept: example_string" \
  -H "Authorization: Basic YOUR_CREDENTIALS"
```

```python
import requests
import json

url = "https://api.videograph.ai/video/services/api/v1/contents/paginated?includeAdditional=true&assetCollectionUUID=example_string&phrase=example_string&tag=example_string&pageSize=3.14&pageNum=3.14"
headers = {
  "Content-Type": "application/json",
  "Accept": "example_string",
  "Authorization": "Basic YOUR_CREDENTIALS"
}

response = requests.get(url, headers=headers)
print(response.json())
```

```javascript
const response = await fetch("https://api.videograph.ai/video/services/api/v1/contents/paginated?includeAdditional=true&assetCollectionUUID=example_string&phrase=example_string&tag=example_string&pageSize=3.14&pageNum=3.14", {
  method: "GET",
  headers: {
  "Content-Type": "application/json",
  "Accept": "example_string",
  "Authorization": "Basic YOUR_CREDENTIALS"
}
});

const data = await response.json();
console.log(data);
```

```go
package main

import (
    "fmt"
    "net/http"
    "bytes"
)

func main() {
    
    req, err := http.NewRequest("GET", "https://api.videograph.ai/video/services/api/v1/contents/paginated?includeAdditional=true&assetCollectionUUID=example_string&phrase=example_string&tag=example_string&pageSize=3.14&pageNum=3.14", nil)
    if err != nil {
        panic(err)
    }
    
    req.Header.Set("Content-Type", "application/json")
    req.Header.Set("Accept", "example_string")
    req.Header.Set("Authorization", "Basic YOUR_CREDENTIALS")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()
    
    fmt.Println("Response Status:", resp.Status)
}
```

```ruby
require 'net/http'
require 'json'

uri = URI('https://api.videograph.ai/video/services/api/v1/contents/paginated?includeAdditional=true&assetCollectionUUID=example_string&phrase=example_string&tag=example_string&pageSize=3.14&pageNum=3.14')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Accept'] = 'example_string'
request['Authorization'] = 'Basic YOUR_CREDENTIALS'

response = http.request(request)
puts response.body
```

</Request>

### Responses

<div data-component="ResponsesCollection"><Expandable title="200 - OK" default-open="true">

*OK*

</Expandable>

</div>

<Response tabs="200">

```json
{
  "code": 200,
  "data": {
    "total": 223,
    "pageSize": 10,
    "pageNum": 1,
    "hasContents": true,
    "contents": [
      {
        "contentId": "80e05adf-3d5c-4f10-81b7-a9227587b9ca",
        "created_at": 1653903574348,
        "description": "Video description",
        "duration": 1800000,
        "playbackPolicy": [
          "public",
          "signed"
        ],
        "playbackUrl": "https://videographond.akamaized.net/enc/eac6be40-42de-40da-8c4a-6d9f2b8b9ba9/ba8693b0-20bb-4c62-8689-72528439ff45/yupptv/2228/master.m3u8",
        "resolution": "1080P",
        "status": "Ready",
        "statusId": 3,
        "thumbnailUrl": "https://videographond.akamaized.net/thumb/enc/eac6be40-42de-40da-8c4a-6d9f2b8b9ba9/ba8693b0-20bb-4c62-8689-72528439ff45/yupptv/2228/mp4/image/0.jpg",
        "title": "Phani Test Review"
      },
      {
        "contentId": "a3334a0e-dee3-4f78-8c42-362fa4113dbc",
        "created_at": 1653903150379,
        "description": "Video description",
        "playbackPolicy": [
          "public",
          "signed"
        ],
        "status": "Failed",
        "statusId": 4,
        "thumbnailUrl": "",
        "title": "Phani Test Review"
      },
      {
        "contentId": "37d091b5-d4b5-4ac2-922a-659f1ce43f3b",
        "created_at": 1653902189055,
        "description": "",
        "playbackPolicy": [
          ""
        ],
        "status": "Failed",
        "statusId": 4,
        "thumbnailUrl": "",
        "title": "test_video"
      },
      {
        "contentId": "855a5b1e-a2ab-4a53-88f2-2cfcf5ca726a",
        "created_at": 1653901844754,
        "description": "Video description",
        "playbackPolicy": [
          "public",
          "signed"
        ],
        "status": "Failed",
        "statusId": 4,
        "thumbnailUrl": "",
        "title": "Phani Test Review"
      },
      {
        "contentId": "efd809c9-8a3e-4603-a486-d8cd8021daa4",
        "created_at": 1653892933509,
        "description": "Video description",
        "playbackPolicy": [
          "public",
          "signed"
        ],
        "status": "Failed",
        "statusId": 4,
        "thumbnailUrl": "",
        "title": "Phani Test Review"
      },
      {
        "contentId": "61037b69-7e07-4e02-8630-b1b22248d976",
        "created_at": 1653891136586,
        "description": "",
        "playbackPolicy": [
          ""
        ],
        "status": "Failed",
        "statusId": 4,
        "thumbnailUrl": "",
        "title": "test video"
      },
      {
        "contentId": "298654bf-fdcc-4071-a786-ffecef6d551d",
        "created_at": 1653733660189,
        "description": "Video description",
        "playbackPolicy": [
          "public",
          "signed"
        ],
        "status": "Failed",
        "statusId": 4,
        "thumbnailUrl": "",
        "title": "Phani Test Review"
      },
      {
        "contentId": "f72cec7a-b412-4ceb-a46e-636cd2e07a40",
        "created_at": 1653628947976,
        "description": "Video description",
        "playbackPolicy": [
          "public",
          "signed"
        ],
        "status": "Failed",
        "statusId": 4,
        "thumbnailUrl": "",
        "title": "Phani Test Review"
      },
      {
        "contentId": "20c2b219-b8de-40b7-96f0-3338333d9cb8",
        "created_at": 1653546627935,
        "description": "Video description",
        "playbackPolicy": [
          "public",
          "signed"
        ],
        "status": "Failed",
        "statusId": 4,
        "thumbnailUrl": "",
        "title": "Phani Test Review"
      },
      {
        "contentId": "02d99175-2e35-43db-8003-c37634cbdfdc",
        "created_at": 1653546496877,
        "description": "Video description",
        "playbackPolicy": [
          "public",
          "signed"
        ],
        "status": "Failed",
        "statusId": 4,
        "thumbnailUrl": "",
        "title": "Phani Test Review"
      }
    ]
  },
  "message": "Fetched all paginated assets in the environment.",
  "status": "Success"
}
```

</Response>

